proc_dointvec_minmax
Prev | sysctl interface | Next

## Name

proc_dointvec_minmax — read a vector of integers with min/max values

## Synopsis

`int proc_dointvec_minmax (` | struct ctl_table * | table,
| int | write,
| struct file * | filp,
| void __user * | buffer,
| size_t * | lenp,
| loff_t * | ppos`)`;

## Arguments

`table`

  the sysctl table

`write`

  `TRUE` if this is a write to the sysctl file

`filp`

  the file structure

`buffer`

  the user buffer

`lenp`

  the size of the user buffer

`ppos`

  file position

## Description

Reads/writes up to table->maxlen/sizeof(unsigned int) integer values from/to the user buffer, treated as an ASCII string.

This routine will ensure the values are within the range specified by table->extra1 (min) and table->extra2 (max).

Returns 0 on success.

Prev | Up | Next
proc_dointvec | Home | proc_doulongvec_minmax